<?php

    if (defined('ALLOW_INCLUDE') === false)
        die('no direct access');

?>

<div class="wrap">
   <a name="Picatcha"></a>
   <h2><?php _e('Picatcha Options', 'picatcha'); ?></h2>
   <p><?php _e('Picatcha is a free, accessible CAPTCHA service which is very user friendly and also helps to stop spam on your blog .', 'picatcha'); ?></p>
   
   <form method="post" action="options.php">
      <?php settings_fields('picatcha_options_group'); ?>

      <h3><?php _e('Authentication', 'picatcha'); ?></h3>
      <p><?php _e('These keys are required before you are able to do anything else.', 'picatcha'); ?> <?php _e('You can get the keys', 'picatcha'); ?> <a href="<?php echo picatcha_get_signup_url($this->blog_domain(), 'wordpress');?>" title="<?php _e('Get your Picatcha API Keys', 'picatcha'); ?>"><?php _e('here', 'picatcha'); ?></a>.</p>
      <p><?php _e('Be sure not to mix them up! The public and private keys are not interchangeable!'); ?></p>
      
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Public Key', 'picatcha'); ?></th>
            <td>
               <input type="text" name="picatcha_options[public_key]" size="40" value="<?php echo $this->options['public_key']; ?>" />
            </td>
         </tr>
         <tr valign="top">
            <th scope="row"><?php _e('Private Key', 'picatcha'); ?></th>
            <td>
               <input type="text" name="picatcha_options[private_key]" size="40" value="<?php echo $this->options['private_key']; ?>" />
            </td>
         </tr>
      </table>
      
      <h3><?php _e('Comment Options', 'picatcha'); ?></h3>
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Activation', 'picatcha'); ?></th>
            <td>
               <input type="checkbox" id ="picatcha_options[show_in_comments]" name="picatcha_options[show_in_comments]" value="1" <?php checked('1', $this->options['show_in_comments']); ?> />
               <label for="picatcha_options[show_in_comments]"><?php _e('Enable for comments form', 'picatcha'); ?></label>
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Target', 'picatcha'); ?></th>
            <td>
               <input type="checkbox" id="picatcha_options[bypass_for_registered_users]" name="picatcha_options[bypass_for_registered_users]" value="1" <?php checked('1', $this->options['bypass_for_registered_users']); ?> />
               <label for="picatcha_options[bypass_for_registered_users]"><?php _e('Hide for Registered Users who can', 'picatcha'); ?></label>
               <?php $this->capabilities_dropdown(); ?>
            </td>
         </tr>

         <tr valign="top">
            <th scope="row"><?php _e('Presentation', 'picatcha'); ?></th>
            <td>
               <label for="picatcha_options[comments_theme]"><?php _e('Theme:', 'picatcha'); ?></label>
               <?php $this->theme_dropdown('comments'); ?>
            </td>
         </tr>

         <tr valign="top">
            <th scope="row"><?php _e('Tab Index', 'picatcha'); ?></th>
            <td>
               <input type="text" name="picatcha_options[comments_tab_index]" size="10" value="<?php echo $this->options['comments_tab_index']; ?>" />
            </td>
         </tr>
      </table>
      
      <h3><?php _e('Registration Options', 'picatcha'); ?></h3>
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Activation', 'picatcha'); ?></th>
            <td>
               <input type="checkbox" id ="picatcha_options[show_in_registration]" name="picatcha_options[show_in_registration]" value="1" <?php checked('1', $this->options['show_in_registration']); ?> />
               <label for="picatcha_options[show_in_registration]"><?php _e('Enable for registration form', 'picatcha'); ?></label>
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Presentation', 'picatcha'); ?></th>
            <td>
               <label for="picatcha_options[registration_theme]"><?php _e('Theme:', 'picatcha'); ?></label>
               <?php $this->theme_dropdown('registration'); ?>
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Tab Index', 'picatcha'); ?></th>
            <td>
               <input type="text" name="picatcha_options[registration_tab_index]" size="10" value="<?php echo $this->options['registration_tab_index']; ?>" />
            </td>
         </tr>
      </table>
      
      <h3><?php _e('Lost Password', 'picatcha'); ?></h3>
        <table class="form-table">
           <tr valign="top">
              <th scope="row"><?php _e('Activation', 'picatcha'); ?></th>
              <td>
                 <input type="checkbox" id ="picatcha_options[show_in_lost_password]" name="picatcha_options[show_in_lost_password]" value="1" <?php checked('1', $this->options['show_in_lost_password']); ?> />
                 <label for="picatcha_options[show_in_lost_password]"><?php _e('Enable for Lost password form', 'picatcha'); ?></label>
              </td>
           </tr>

           <!-- keeping this here just in case we decide to implement it -->
           <!-- <tr valign="top">
              <th scope="row"><?php //_e('Presentation', 'picatcha'); ?></th>
              <td>
                 <label for="picatcha_options[registration_theme]"><?php //_e('Theme:', 'picatcha'); ?></label>
                 <?php //$this->theme_dropdown('registration'); ?>
              </td>
           </tr>

           <tr valign="top">
              <th scope="row"><?php //_e('Tab Index', 'picatcha'); ?></th>
              <td>
                 <input type="text" name="picatcha_options[registration_tab_index]" size="10" value="<?php //echo $this->options['registration_tab_index']; ?>" />
              </td>
           </tr>-->
        </table>
        
        <h3><?php _e('Login form', 'picatcha'); ?></h3>
            <table class="form-table">
               <tr valign="top">
                  <th scope="row"><?php _e('Activation', 'picatcha'); ?></th>
                  <td>
                     <input type="checkbox" id ="picatcha_options[show_in_login]" name="picatcha_options[show_in_login]" value="1" <?php checked('1', $this->options['show_in_login']); ?> />
                     <label for="picatcha_options[show_in_login]"><?php _e('Require for login', 'picatcha'); ?></label>
                  </td>
               </tr>

               <!-- keeping this here just in case we decide to implement it -->
               <!-- <tr valign="top">
                  <th scope="row"><?php //_e('Presentation', 'picatcha'); ?></th>
                  <td>
                     <label for="picatcha_options[registration_theme]"><?php //_e('Theme:', 'picatcha'); ?></label>
                     <?php //$this->theme_dropdown('registration'); ?>
                  </td>
               </tr>

               <tr valign="top">
                  <th scope="row"><?php //_e('Tab Index', 'picatcha'); ?></th>
                  <td>
                     <input type="text" name="picatcha_options[registration_tab_index]" size="10" value="<?php //echo $this->options['registration_tab_index']; ?>" />
                  </td>
               </tr>-->
            </table>
      
      <h3><?php _e('General Options', 'picatcha'); ?></h3>
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Picatcha Form', 'picatcha'); ?></th>
            <td>
               <label for="_options[picatcha_language]"><?php _e('Language:', 'picatcha'); ?></label>
               <?php $this->picatcha_language_dropdown(); ?>
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Standards Compliance', 'picatcha'); ?></th>
            <td>
               <input type="checkbox" id ="picatcha_options[xhtml_compliance]" name="picatcha_options[xhtml_compliance]" value="1" <?php checked('1', $this->options['xhtml_compliance']); ?> />
               <label for="picatcha_options[xhtml_compliance]"><?php _e('Produce XHTML 1.0 Strict Compliant Code', 'picatcha'); ?></label>
            </td>
         </tr>
         
         <tr valign="top">
             <th scope="row"><?php _e('Display Powered By Picatcha', 'picatcha'); ?></th>
             <td>
                <input type="checkbox" id ="picatcha_options[display_powered_by]" name="picatcha_options[display_powered_by]" value="1" <?php checked('1', $this->options['display_powered_by']); ?> />
                <label for="picatcha_options[display_powered_by]"><?php _e('Show \'Powered by Picatcha\' under images', 'picatcha'); ?></label>
             </td>
          </tr>
      </table>
      
      <h3><?php _e('Error Messages', 'picatcha'); ?></h3>
      <table class="form-table">
         <tr valign="top">
            <th scope="row"><?php _e('Picatcha Ignored', 'picatcha'); ?></th>
            <td>
               <input type="text" name="picatcha_options[no_response_error]" size="70" value="<?php echo $this->options['no_response_error']; ?>" />
            </td>
         </tr>
         
         <tr valign="top">
            <th scope="row"><?php _e('Incorrect Guess', 'picatcha'); ?></th>
            <td>
               <input type="text" name="picatcha_options[incorrect_response_error]" size="70" value="<?php echo $this->options['incorrect_response_error']; ?>" />
            </td>
         </tr>
      </table>

      <p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save Picatcha Options') ?>" value="<?php _e('Save Picatcha Changes') ?> &raquo;" /></p>
   </form>
   
   <?php do_settings_sections('picatcha_options_page'); ?>
</div>
